﻿Type=Activity
Version=2.71
@EndOfDesignText@
#Region Module Attributes
	#FullScreen: False
	#IncludeTitle: True
#End Region

'Activity module
Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.
End Sub

Sub Globals
	'These global variables will be redeclared each time the activity is created.
	'These variables can only be accessed from this module.
	Dim pnlSetupGPS, pnlGPSPathUnits, pnlGPSSetup As Panel
	Dim pnlSetup As Panel
	
	Dim cbxDrawGPSPath, cbxSaveGPSPath As CheckBox
			
	Dim edtGPSMinTime, edtGPSMinDistance As EditText
	
	Dim spnAltitudeUnit, spnSpeedUnit, spnDistanceUnit As Spinner
End Sub

Sub Activity_Create(FirstTime As Boolean)
	Activity.LoadLayout("setup")
End Sub

Sub Activity_Resume
	Activity.Title = Main.ProgName & " " & Main.ProgVersion & " " & "Maintain Setup Details"
	InitSetup
	UpdateSetup
End Sub

Sub Activity_Pause (UserClosed As Boolean)
	Main.GPSMinTime = edtGPSMinTime.Text * 1000		' time in milliseconds
	Main.GPSMinDistance = edtGPSMinDistance.Text
End Sub

Sub InitSetup
	' Initializes the Spinners
	Dim i As Int
	
	spnAltitudeUnit.Clear
	For i = 0 To Main.AltitudeUnitNumber - 1
		spnAltitudeUnit.Add(Main.AltitudeUnitText(i))
	Next

	spnSpeedUnit.Clear
	For i = 0 To Main.SpeedUnitNumber - 1
		spnSpeedUnit.Add(Main.SpeedUnitText(i))
	Next

	spnDistanceUnit.Clear
	For i = 0 To Main.DistanceUnitNumber - 1
		spnDistanceUnit.Add(Main.DistanceUnitText(i))
	Next
	
End Sub

Sub UpdateSetup
	edtGPSMinTime.Text = Main.GPSMinTime / 1000		' time in milliseconds but diplayed in seconds
	edtGPSMinDistance.Text = Main.GPSMinDistance
	
	cbxDrawGPSPath.Checked = Main.DrawGPSPath
	cbxSaveGPSPath.Checked = Main.SaveGPSPath

	spnAltitudeUnit.SelectedIndex = Main.AltitudeUnitIndex
	spnSpeedUnit.SelectedIndex = Main.SpeedUnitIndex
	spnDistanceUnit.SelectedIndex = Main.DistanceUnitIndex
End Sub

Sub cbxDispMapMarkers_CheckedChange(Checked As Boolean)
	Main.DispMapMarkers = Checked
End Sub

Sub cbxDispMapPolyline_CheckedChange(Checked As Boolean)
	Main.DispMapPolyLine = Checked
End Sub

Sub cbxDrawGPSPath_CheckedChange(Checked As Boolean)
	Main.DrawGPSPath = Checked
End Sub

Sub cbxSaveGPSPath_CheckedChange(Checked As Boolean)
	Main.SaveGPSPath = Checked
End Sub

Sub spnAltitudeUnit_ItemClick (Position As Int, Value As Object)
	Main.AltitudeUnitIndex = Position
End Sub

Sub spnSpeedUnit_ItemClick (Position As Int, Value As Object)
	Main.SpeedUnitIndex = Position
End Sub

Sub spnDistanceUnit_ItemClick (Position As Int, Value As Object)
	Main.DistanceUnitIndex = Position
End Sub


